<?php
/*
Plugin Name: Filter Calendar Admin
Plugin URI: http://sorcode.com
Description: Agrega un calendario para filtrar entradas por día | Add a calendar to filter entries per day
Version: 0.1
Author: Oscar Uh
Author URI: http://sorcode.com
License: Sorcode
*/


/**
* Calendario en el admin
***/
//calendario en los filtros
function _load_scripts_admin_calendar() {
	
	wp_register_script( 'script_admin_calendar', plugins_url( 'admin-calendario/calendar.js' , __FILE__ ));
	wp_enqueue_script('script_admin_calendar');
	
	
	
}
add_action('init', '_load_scripts_admin_calendar');

//coloca estilos de la cabecera 
function style_admin_calendar(){
wp_register_style('style_admin_calendario',$src = plugins_url( 'admin-calendario/calendario.css' , __FILE__ ));
wp_enqueue_style('style_admin_calendario');
}
add_action('init','style_admin_calendar');

// Muestra el campo date 
add_action( 'restrict_manage_posts', 'admin_calendar' );
function admin_calendar(){
?>
<input id="fechadia" name="fechadia" readonly class="element text" size="8" maxlength="8" value=""  type="text">
<img id="cal_img" class="datepicker" style="cursor:pointer" src="<?php echo plugins_url( 'admin-calendario/calendar.gif' , __FILE__ );?>" alt="Pick a date.">	
		     </span>
	         <script type="text/javascript">
             Calendar.setup({
             inputField     :    "fechadia",
             ifFormat     :     "%Y%m%d",
	         button     :    "cal_img"
	         });
             </script> 
<?
}

// filtro de calendario del admin 
add_filter( 'parse_query', 'calendar_num_admin_posts_filter' );
function calendar_num_admin_posts_filter( $query )
	{
		global $pagenow;
			if ( is_admin() && $pagenow=='edit.php' && isset($_GET['fechadia']) && $_GET['fechadia'] != '') {
					$query->query_vars['m'] = $_GET['fechadia'];
					
			}
	  
	}




?>